package v1

import "github.com/gogf/gf/v2/frame/g"

type NetWorkReq struct {
	g.Meta `path:"/netWork" tags:"netWork" method:"get" summary:"netWork"`
}

type TokenPriceReq struct {
	g.Meta    `path:"/price" tags:"price" method:"post" summary:"price"`
	Address   []string `v:"required" json:"email"  dc:"email"`
	ChainName string   `v:"required" json:"chainName"  dc:"chainName"`
}

type CommonRes struct {
	Success bool        `json:"success" dc:"是否成功"`
	Data    interface{} `json:"data"    dc:"数据"`
}
