package chain

import (
	"context"

	v1 "birdcall/api/chain/v1"
	"birdcall/internal/service"
)

func (c *ControllerV1) TokenPrice(ctx context.Context, req *v1.TokenPriceReq) (res *v1.CommonRes, err error) {
	res, err = service.Chain().TokenPrice(ctx, req)
	if err != nil {
		return nil, err
	}
	return res, nil
}
