package defi

type NetWorkRes struct {
	Success bool     `json:"success" dc:"是否成功"`
	Data    []string `json:"data"`
}

type PriceRes struct {
	Success bool  `json:"success" dc:"是否成功"`
	Data    Price `json:"data"`
}

type MultiplePriceRes struct {
	Success bool             `json:"success" dc:"是否成功"`
	Prices  map[string]Price `json:"prices"`
}

type Price struct {
	Success         bool    `json:"success" dc:"是否成功"`
	Value           float64 `json:"value"`
	UpdateUnixTime  uint32  `json:"updateUnixTime"`
	UpdateHumanTime string  `json:"updateHumanTime"`
	PriceChange24h  float64 `json:"priceChange24h"`
}
