package main

import (
	_ "birdcall/internal/packed"

	_ "birdcall/internal/logic"

	"github.com/joho/godotenv"

	"github.com/gogf/gf/v2/os/gctx"

	"birdcall/internal/cmd"
)

func main() {

	//加载配置文件
	err := godotenv.Load(".env")
	if err != nil {
		panic("Error loading .env file")
	}

	cmd.Main.Run(gctx.GetInitCtx())
}
